pytables (3.10.2-2build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 20:04:50 +0000

pytables (3.10.2-2) unstable; urgency=medium

  * Team upload
  * Make python3-tables-lib Architecture: any again (closes: #1094789)
  * Add Multi-Arch hint to python-tables-doc

 -- Julian Gilbey <jdg@debian.org>  Fri, 31 Jan 2025 10:39:58 +0000

pytables (3.10.2-1) unstable; urgency=medium

  * New upstream release.
  * Update d/watch to use pypi instead of guthub archive.
    In this way also the directories tracked as submodules
    are available.
  * Update d/copyright.
  * debian/patches:
    - Refresh all patches.
  * debian/control:
    - Drop dependencies on numpydoc and typing-extensions.
  * debian/rules:
    - Do not install upstream release notes, not included in the
      upstream tarball.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 08 Jan 2025 00:32:06 +0000

pytables (3.10.1-2) unstable; urgency=medium

  * Drop support for mips64el (see #1091836).
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 02 Jan 2025 19:03:09 +0000

pytables (3.10.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
    - New 0006-Build-with-numpy-1.x.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 18 Aug 2024 10:04:32 +0000

pytables (3.10.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
  * Standards version bumped to 4.7.0, no changes.
  * debian/control:
    - Add dependency on python3-typing-extension.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 14 Aug 2024 13:54:14 +0000

pytables (3.9.2-2) unstable; urgency=medium

  * debian/patches:
    - New 0005-No-python-blosc2.patch (Closes: #1065120).
  * Update dates in d/copyright.
  * Set upstream metadata fields: Security-Contact.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Apr 2024 06:58:48 +0000

pytables (3.9.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop pathces applied upstream:
      0005-Fix-compatibility-with-numpy-1.22.patch,
      0006-Compatibility-with-sphinx-7.1.patch,
      0007-Compatibility-with-numexpr-v2.8.5.patch,
      0008-Python-3.12-compat.patch,
      and 0009-Numpy-v1.25-compat.patch.
    - Refresh remaining patches.
  * debian/control:
    - Build-depend on c-blosc2-dev.
    - Add dependency on python3-cpuinfo.
    - Versioned dependency on numexpt (>= 2.8.7).
  * Update d/copyright.
  * Update d/python3-tables.links.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Dec 2023 18:26:59 +0000

pytables (3.7.0-10) unstable; urgency=medium

  * debian/patches:
    - New 0008-Python-3.12-compat.patch and 0009-Numpy-v1.25-compat.patch.
      Closes: #1055579.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 12 Nov 2023 09:40:05 +0000

pytables (3.7.0-9) unstable; urgency=medium

  * debian/rules:
    - Clean .pyc files after documentation build (Closes: #1050176).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 21 Aug 2023 19:57:21 +0000

pytables (3.7.0-8) unstable; urgency=medium

  * debian/patches:
    - Update d/patches/0007-Compatibility-with-numexpr-v2.8.5.patch
      to make it comatible again with numexpr < v2.8.5.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 18 Aug 2023 13:16:16 +0000

pytables (3.7.0-7) unstable; urgency=medium

  * debian/patches:
    - New d/patches/0007-Compatibility-with-numexpr-v2.8.5.patch.
  * debian/control:
    - Use the <!nodoc> marker.
    - Update package description.
  * Switch to dh-sequence-*.
  * Switch to autopkgtest-pkg-pybuild and drop the no longer
    needed d/tests folder.
  * New d/clean file.
  * debian/rules:
    - Switch to execute_after_* targets.
    - Improve/simplify doc build.
  * Update d/python3-tables.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 17 Aug 2023 17:30:13 +0000

pytables (3.7.0-6) unstable; urgency=medium

  * Dump debhelper compat to 13.
  * Standards version bumped to 4.6.2 (no changes).
  * debian/patches:
    - new 0006-Compatibility-with-sphinx-7.1.patch (Closes: #1042691).
  * Use dh-sequence-numpy3.
  * No longer build PDF documentation.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 05 Aug 2023 14:58:29 +0000

pytables (3.7.0-5) unstable; urgency=medium

  * debian/patches:
    - fix compatibility with numpy >= 1.22 (Closes: #1026604).
      See also https://github.com/PyTables/PyTables/issues/934.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 20 Dec 2022 21:15:54 +0000

pytables (3.7.0-4) unstable; urgency=medium

  * debian/copyright:
    - Fix formatting
    - Update copyright date
  * debian/tests:
    - autopkgtests all supported Python versions.
  * Fix lintian overrides.
  * debian/control:
    - add build-dependency on pybuild-plugin-pyproject.
  * Standards version bumped to 4.6.1 (no changes).
  * Update debian/*.install files.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Oct 2022 10:44:26 +0000

pytables (3.7.0-3) unstable; urgency=medium

  * Fix documentation build (Closes: #1009459).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 14 Apr 2022 06:39:28 +0000

pytables (3.7.0-2) unstable; urgency=medium

  * debian/python3-tables.links
    - add missing link to data file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 30 Dec 2021 11:14:17 +0000

pytables (3.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Cleanup of d/python3-tables.lintian-overrides.
  * Update d/copyright.
  * debian/patches:
    - drop 0002-Never-use-the-msse2-flag-explicitly.patch,
      0006-Fix-pttree.patch, 0007-Fix-syntax-warnings.patch,
      0008-Fix-the-interpreter-name-in-examples.patch,
      0009-Fix-unittests-on-vlarrays.patch,
      0010-Use-lowercase-float-int-as-numpy-dtype.patch,
      0011-doctest-adjust-__init__-TypeError-formatting.patch,
      applied upstream
    - refresh and renumber remaining patches.
  * debian/control:
    - update dependencies (add python3-packaging and remove
      python3-six).
  * debian/rules:
    - disable SSE2 via environment variable
    - clean build rule
    - improve the test rule.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 29 Dec 2021 22:51:43 +0000

pytables (3.6.1-6) unstable; urgency=medium

  [ Stefano Rivera ]
  * Handle Python 3.10 in the Sphinx build, missed in 5.1.

  [ Antonio Valentino ]
  * Update d/python3-tables.lintian-overrides.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 26 Nov 2021 08:12:25 +0000

pytables (3.6.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Fix FTBFS with numpy >= 1.20 (Closes: #999538)
  * Patch: Fix FTBFS with Python 3.10.
  * Install Python 3.10 C Extensions (2-digit minor version).

 -- Stefano Rivera <stefanor@debian.org>  Sat, 20 Nov 2021 23:32:58 -0400

pytables (3.6.1-5) unstable; urgency=medium

  * debian/control:
    - explicitly depende on tex-gyre (fix build on mips*).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 28 Sep 2021 06:05:13 +0000

pytables (3.6.1-4) unstable; urgency=medium

  * Standards version bumped to 4.6.0 (no changes).
  * debian/control:
    - drop unnecessary greater-than versioned dependency from
      python-tables-doc
    - drop unnecessary Breaks/Replaces fileds for version 3.4.2-1
      (oldstable has 3.4.4-2)
  * debian/patches:
    - new 0009-Fix-unittests-on-vlarrays.patch, see
      0009-Fix-unittests-on-vlarrays.patch.
  * Drop python3-tables-dbg (Closes: #994343).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 26 Sep 2021 08:08:53 +0000

pytables (3.6.1-3) unstable; urgency=medium

  * Add lintian-overrides for maintainer-manual-page.
    Manual pages already forwarded upstream.
  * Add lintian-overrides for breakout-link.
  * Update mismatching lintian overrides.
  * Add Forwarded field to all patches.
  * Standards-Version bumped to 4.5.1, no change needed.
  * Update watch file format version to 4.
  * debian/patches:
    - new 0008-Fix-the-interpreter-name-in-examples.patch
  * Add .gitlab-ci.yml.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 08 Dec 2020 09:02:17 +0000

pytables (3.6.1-2) unstable; urgency=medium

  * Add links to new data (fix CI tests).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 04 Jan 2020 08:59:06 +0000

pytables (3.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop manpage for nc2h5. the tool has been already removed some
    time ago.
  * debian/patches:
    - drop 0005-Drop-mock-for-requirements.txt.patch and
      0007-Compat-with-Python-3.8.patch: applied upstream
    - refresh and renumber remaining patches
    - new 0006-Fix-pttree.patch (Closes: #941954)
    - new 0007-Fix-syntax-warnings.patch (Closes: #945282)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Dec 2019 17:29:37 +0000

pytables (3.5.2-5) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #937554

 -- Sandro Tosi <morph@debian.org>  Tue, 17 Dec 2019 16:17:38 -0500

pytables (3.5.2-4) unstable; urgency=medium

  * Update standards version to 4.4.1, no changes needed.
  * Remove obsolete fields Name from debian/upstream/metadata.
  * Fix day-of-week for changelog entries 2.1.2-3, 0.7.2-2.
  * debian/patches:
    - new 0007-Compat-with-Python-3.8.patch
  * debian/control:
    - explicitly set Rules-Requires-Root: no
  * Replace deprecated ADTTMP with AUTOPKGTEST_TMP in debian/tests
    scripts.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 21 Nov 2019 20:06:22 +0000

pytables (3.5.2-3) unstable; urgency=medium

  * debian/rules:
    - improve clean target
    - ensure reproducible builds
    - fix sphinx build command

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 16 Aug 2019 17:53:28 +0000

pytables (3.5.2-2) unstable; urgency=medium

  * debian/control:
    - replace the deprecated build dependency texlive-generic-extra,
      with texlive-plain-generic (Closes: #933279)
    - sort dependency lists
  * debian/patches:
    - new 0006-Skip-index-backcompat-tests-on-bingendian.patch
  * drop debian/compat file, and depend on debelper-compat.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 03 Aug 2019 16:24:07 +0000

pytables (3.5.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - standard version bumped to 4.4.0, no change
    - remove unnecessary greater-than versioned dependency for liblz4-dev
  * debian/rules:
    - drop -pie from hardening flags
  * Use secure URI in Homepage field.
  * Clean links to duplicated files in debian/python-tables-doc.links
  * debian/patches:
    - drop 0005-Comaptibility-with-numpy-1.16.patch and
      debian/patches/0006-Fix-LZO2-detection.patch: applied upstream
    - new 0005-Drop-mock-for-requirements.txt.patch
    - refresh remaining patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 14 Jul 2019 09:32:15 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python-tables-doc`.
